---
title: Get destination partner type
description: Get destination partner type
product: general
lang: en
last_updated: 2026-09-15
token_estimate: 1196
---
# Get destination partner type

> For AI agents: a documentation index is available at [/docs/llms.txt](/docs/llms.txt). Append `.md` to any page URL for markdown, or send `Accept: text/markdown`.

## Get destination partner type

**GET** `/v1/destination-types/{partner}`

Full URL: `https://developer-api.amplitude.com/v1/destination-types/{partner}`

**Servers:**
- Production (US): `https://developer-api.amplitude.com/v1/destination-types/{partner}`
- Production (EU): `https://developer-api.eu.amplitude.com/v1/destination-types/{partner}`

Get destination partner type

## Authorizations

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| Authorization | string | Yes | — | http |

## Path parameters

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| partner (path) | string | Yes | — | Destination partner key (e.g. braze, kinesis_datastream). Constraints: min length: 1 |

## Response (application/json)

**200** — Successful response.

| Name | Type | Required | Default | Description |
| --- | --- | --- | --- | --- |
| data | object | Yes | — | — |
| data.id | string | Yes | — | — |
| data.object | string | Yes | — | — |
| data.partner | string | Yes | — | Partner key (e.g. braze, kinesis_datastream, s3). |
| data.display_name | string | Yes | — | — |
| data.types | string[] | Yes | — | — |
| data.parameters | object[] | Yes | — | — |
| data.parameters.id | string | Yes | — | — |
| data.parameters.label | string | Yes | — | — |
| data.parameters.kind | string | Yes | — | Allowed values: string, number, boolean, secret, oauth, service_account, enum, http_headers, mapped_field, event_mapping, transformation, ads_account |
| data.parameters.required | boolean | Yes | — | — |
| data.parameters.description | string | No | — | Constraints: nullable |
| data.parameters.enum_values | string[] | No | — | — |
| data.parameters.write_only | boolean | No | — | — |

```json
{
  "data": {
    "id": "string",
    "object": "destination_type",
    "partner": "string",
    "display_name": "string",
    "types": [
      "event"
    ],
    "parameters": [
      {
        "id": "string",
        "label": "string",
        "kind": "string",
        "required": true,
        "description": "string",
        "enum_values": [
          "string"
        ],
        "write_only": true
      }
    ]
  }
}
```

**401**

**403**

**404**

**429**

**500**

## Code samples

### cURL

```bash
curl -X GET "https://developer-api.amplitude.com/v1/destination-types/{partner}" \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY"
```

### Python

```python
import requests

response = requests.get(
    "https://developer-api.amplitude.com/v1/destination-types/{partner}",
    headers={
        "Content-Type": "application/json",
        "Authorization": "YOUR_API_KEY"
    }
)
data = response.json()
```

### JavaScript

```javascript
const response = await fetch("https://developer-api.amplitude.com/v1/destination-types/{partner}", {
  method: "GET",
  headers: {
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_KEY"
  }
});
const data = await response.json();
```

### PHP

```php
<?php
$ch = curl_init("https://developer-api.amplitude.com/v1/destination-types/{partner}");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    "Content-Type: application/json",
    "Authorization: YOUR_API_KEY"
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
```

### Go

```go
package main

import (
  "bytes"
  "net/http"
)

func main() {
req, _ := http.NewRequest("GET", "https://developer-api.amplitude.com/v1/destination-types/{partner}", nil)
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "YOUR_API_KEY")
  client := &http.Client{}
  resp, _ := client.Do(req)
  defer resp.Body.Close()
}
```

### Java

```java
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
      .uri(URI.create("https://developer-api.amplitude.com/v1/destination-types/{partner}"))
      .method("GET", HttpRequest.BodyPublishers.noBody())
.header("Content-Type", "application/json")
      .header("Authorization", "YOUR_API_KEY")
      .build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
```

### Ruby

```ruby
require "net/http"
require "json"

uri = URI("https://developer-api.amplitude.com/v1/destination-types/{partner}")
request = Net::HTTP::Get.new(uri)
request["Content-Type"] = "application/json"
request["Authorization"] = "YOUR_API_KEY"
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: uri.scheme == "https") do |http|
  http.request(request)
end
```

